body, html 
{
    height: 100%;
    overflow: hidden;
}

.navbar .brand
{
    background-image: url(../images/logo.png);
    width: 146px;
    height: 29px;
    margin: 5px 12px 0 0;
    padding: 0;
    background-repeat: no-repeat;
}

.navbar .brand span
{
    display: none;
}

.navbar #add-new
{
    margin-right: 8px;
}

footer
{
    bottom: 0px;
    position: absolute;
    right: 0;
    margin: 8px 20px 8px 8px;
    font-size: 10px;
    text-transform: uppercase;
    font-weight: bold;
}

footer a
{
    color: Black;
}

form.condensed .control-group
{
    margin-bottom: 4px;
}

.splash
{
    width: 500px;
    margin: 100px auto;
}

.splash header
{
    margin-bottom: 30px;
}

.splash .progress
{
    width: 90%;
    margin: 0 auto;
}

.center
{
    text-align: center;
}

.max-height 
{
    height: 100%;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.scrollable
{
    overflow: auto;
}

.modal.large
{
    position: absolute;
    margin: 0;
    width: auto;
    left: 100px;
    right: 100px;
    top: 100px;
    bottom: 100px;
}

.modal.large .modal-body
{
    max-height: inherit;
}

.modal.large .modal-footer
{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
}

.pane 
{
    height: 100%;
    min-height: 100%;
    float: left;
    position: relative;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    transition: width 0.3s;
    -moz-transition: width 0.3s;
    -webkit-transition: width 0.3s;
    -o-transition: width 0.3s;
}

#sort-options
{
    margin-right: 0;
}

#sort-options a
{
    padding-right: 0;
}

#result-count
{
    padding-left: 10px;
}

.filter-pane
{
    margin-left: 0;
    width: 250px;
}

.filter-pane .search-query
{
    width: 194px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    height: 30px;
}

.filter-pane > .tab-content
{
    position: absolute;
    left: 0;
    top: 50px;
    right: 0;
    bottom: 0;
}

.filter-pane .nav-pills > li > a
{
    padding: 4px;
}

.filter-pane #filter-tabs
{
    position: absolute;
    top: 48px;
    bottom: 86px;
    left: 0;
    right: 0;
}

.filter-pane #filter-categories-tab hr
{
    margin: 4px 0;
}

.filter-pane #filter-categories-tab > ul.css-treeview
{
    margin: 0;
}

#result-count
{
    position: absolute;
    bottom: 0;
    right: 0;
}

.fluid-wrapper
{
    width: 100%;
    height: 100%;
    padding-left: 250px; /* .pane#filter width */
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.pane#thumbnails
{
    width: 50%;
    margin-left: 8px;
}

.pane#thumbnails.max
{
    width: 100%;
}

.pane#details
{
    width: 50%;
    margin-left: 8px;
    margin-right: -16px; /* .pane#thumbnails margin-left + .pane#details margin-left */
}

.pane#details .details-container
{
    bottom: 70px;
    position: absolute;
    overflow: auto;
    top: 0px;
    right: 0px;
    left: 0px;
}

.pane#details form#properties fieldset#design-id-properties
{
    min-height: 110px;
}

.pane#details .form-actions
{
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    margin-bottom: 0;
}

.pane#details .spinner
{
    display: block;
    margin: 200px auto;
    text-align: center;
}

.pane#details .spinner p
{
    margin-top: 12px;
}

.client-area-fill
{
    position: absolute; 
    top: 60px; 
    left: 0px;
    bottom: 40px;
    right: 0px;
}

.no-overflow 
{
    overflow: hidden;
}

.truncate-text
{
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.table small
{
    font-size: 75%;
    font-style: italic;
}

.thumbnail-list li
{ 
    float: left; 
    padding: 8px;
    margin: 0 8px 8px 0; 
    cursor: pointer; 
    width: 100px; 
    height: 135px; 
}

.thumbnail-list li.active 
{
    background: #08C;
}

.thumbnail-list li > div
{
    position: relative;
}

.thumbnail-list li a
{
    display: block;    
    color: black;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.thumbnail-list li.active a 
{
    color: white;
}

.thumbnail-list li a.head
{
    font-weight: bold;
}

.thumbnail-list.horizontal li
{ 
    float: left; 
    padding: 8px;
    margin: 0 8px 8px 0; 
    cursor: pointer; 
    width: 220px; 
    height: 100px; 
}

.thumbnail-list.horizontal li img
{ 
    float: left;
    margin-right: 4px;
}

.loading-bar
{
    text-align: center;
    padding: 8px;
    clear: both;
}

.content-generation-state-overlay 
{
    position: absolute;
    left: 81px;
    top: 81px;
}

#properties-tab-content hr
{
    margin: 8px 0;
}

#properties-tab-content .thumbnail
{
    margin-right: 10px;
}

#add-property-button
{
    margin: -10px 10px 0 0;
}

#colorways-table
{
    margin-bottom: 8px;
}

#colorways-table tr 
{
    cursor: pointer;
}

#colorways-table input[type="radio"] 
{
    margin-top: -2px;
}

#colorways-table i.icon-bookmark
{
    margin-top: 2px;
}

#roomscene-details #brandsTab ul
{
    list-style: none;
    column-count: 2;
    -webkit-column-count: 2;
    -moz-column-count: 2;
}

input.yarn
{
    padding-left: 22px;
    width: 190px;
}

input.yarn.error
{
    color: red;
}

#brands-content
{
    position: absolute;
    left: 280px;
    right: 18px;
    top: 0;
    bottom: 0;
}

#brands-content > .tab-content
{
    position: absolute;
    left: 0;
    right: 0;
    top: 60px;
    bottom: 72px;
}

#brands-content #brand-categories-controls
{
    position: absolute;
    right: 40px;
    top: 0px;
}

#brands-content .form-actions
{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0px;
    margin: 0;
}

#brands-content #brand-yarnlibraries-tab ul
{
    column-width: 20em;
    list-style-type: none;
    -webkit-column-width: 20em;
    -moz-column-width: 20em;    
}
